<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN">
<html><head><meta http-equiv="Content-Type" content="text/html;charset=iso-8859-1">
<title>rlSubFrameDataCfg_t Struct Reference</title>
<link href="doxygen.css" rel="stylesheet" type="text/css">
<link href="tabs.css" rel="stylesheet" type="text/css">
</head><body>
<table width=100%>
<tr>
  <td bgcolor="black" width="1"><a href="http://www.ti.com"><img border=0 src="../../tilogo.gif"></a></td>
  <td bgcolor="red"><img src="../../titagline.gif"></td>
</tr>
</table>
<!-- Generated by Doxygen 1.8.11 -->
  <div id="navrow1" class="tabs">
    <ul class="tablist">
      <li><a href="index.html"><span>Main&#160;Page</span></a></li>
      <li><a href="modules.html"><span>Modules</span></a></li>
      <li class="current"><a href="annotated.html"><span>Data&#160;Structures</span></a></li>
    </ul>
  </div>
  <div id="navrow2" class="tabs2">
    <ul class="tablist">
      <li><a href="annotated.html"><span>Data&#160;Structures</span></a></li>
      <li><a href="functions.html"><span>Data&#160;Fields</span></a></li>
    </ul>
  </div>
</div><!-- top -->
<div class="header">
  <div class="summary">
<a href="#pub-attribs">Data Fields</a>  </div>
  <div class="headertitle">
<div class="title">rlSubFrameDataCfg_t Struct Reference</div>  </div>
</div><!--header-->
<div class="contents">

<p>Sub Frame data config API parameters.  
 <a href="structrl_sub_frame_data_cfg__t.html#details">More...</a></p>

<p><code>#include &lt;control/mmwavelink/include/rl_sensor.h&gt;</code></p>
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="pub-attribs"></a>
Data Fields</h2></td></tr>
<tr class="memitem:aa0e95d9c1941723a96bfa22e9bd2da74"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="aa0e95d9c1941723a96bfa22e9bd2da74"></a>
rlUInt32_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structrl_sub_frame_data_cfg__t.html#aa0e95d9c1941723a96bfa22e9bd2da74">totalChirps</a></td></tr>
<tr class="memdesc:aa0e95d9c1941723a96bfa22e9bd2da74"><td class="mdescLeft">&#160;</td><td class="mdescRight">Number of Chirps in Sub-Frame = numOfChirps * numLoops * numOfBurst * burstLoop. <br /></td></tr>
<tr class="separator:aa0e95d9c1941723a96bfa22e9bd2da74"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a2812f80ca710f55f5b08c76a576f8351"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a2812f80ca710f55f5b08c76a576f8351"></a>
rlUInt16_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structrl_sub_frame_data_cfg__t.html#a2812f80ca710f55f5b08c76a576f8351">numAdcSamples</a></td></tr>
<tr class="memdesc:a2812f80ca710f55f5b08c76a576f8351"><td class="mdescLeft">&#160;</td><td class="mdescRight">Number of half words of ADC samples per data packet in sub frame 1 <br />
 Example 1: In real mode, if number of ADC samples per chirp in subframe1 is 256 then this value will be 256 <br />
 Example 2: In complex1x or complex2x modes, if number of ADC samples per chirp in subframe1 is 256 then this value will be 512 <br />
 In AWR1243,xWR1443: Program this as number of ADC samples in each chirp of this sub frame (required to be the same)<br />
 Exception: Can do number of chirps based ping-pong as in xWR1642 (see below), if CP/CQ are not needed. Useful for chirp stitching use case.<br />
 In xWR1642: The ADC samples corresponding to one or more chirps can be grouped and sent to the DSP as a single packet. Program this as the number of half words of ADC samples per packet. Ensure that in one sub frame, there is integer number of such packets. <br />
 Maximum size of a data packet: (16384 - 1) half words. <br /></td></tr>
<tr class="separator:a2812f80ca710f55f5b08c76a576f8351"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ad3e53bac98afa73bbeebe3fda1fe5dae"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="ad3e53bac98afa73bbeebe3fda1fe5dae"></a>
rlUInt8_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structrl_sub_frame_data_cfg__t.html#ad3e53bac98afa73bbeebe3fda1fe5dae">numChirpsInDataPacket</a></td></tr>
<tr class="memdesc:ad3e53bac98afa73bbeebe3fda1fe5dae"><td class="mdescLeft">&#160;</td><td class="mdescRight">Number of Chirps Per Data Packet to process at a time in sub frame 1. <br />
 In AWR1243, xWR1443: Program this as 1<br />
. Exception: Can be &gt; 1 as in 16xx if CP/CQ is not needed. Useful for chirp stitching use case.<br />
 In xWR1642: The ADC samples corresponding to one or more chirps can be grouped and sent to the DSP as a single packet. Program this as the corresponding number of chirps per packet. <br />
 Maximum value = 8. <br />
 Note on maximum size: 8 chirps for CP and BPM. <br /></td></tr>
<tr class="separator:ad3e53bac98afa73bbeebe3fda1fe5dae"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a0a8e98f7072139d9125085e7331af646"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a0a8e98f7072139d9125085e7331af646"></a>
rlUInt8_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structrl_sub_frame_data_cfg__t.html#a0a8e98f7072139d9125085e7331af646">reserved1</a></td></tr>
<tr class="memdesc:a0a8e98f7072139d9125085e7331af646"><td class="mdescLeft">&#160;</td><td class="mdescRight">Reserved for Future use. <br /></td></tr>
<tr class="separator:a0a8e98f7072139d9125085e7331af646"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<a name="details" id="details"></a><h2 class="groupheader">Detailed Description</h2>
<div class="textblock"><p>Sub Frame data config API parameters. </p>
</div><hr/>The documentation for this struct was generated from the following file:<ul>
<li>control/mmwavelink/include/rl_sensor.h</li>
</ul>
</div><!-- contents -->
<hr size="1"><small>
Copyright  2018, Texas Instruments Incorporated</small>
</body>
</html>
